Package ghidra.app.util.bin.format.pdb

# Class PdbParserConstants

java.lang.Object
ghidra.app.util.bin.format.pdb.PdbParserConstants

public class PdbParserConstants extends Object
Program Information options related to PDB data. All option keys specified by this constants file are children of the Program Information options. Example:

        Options options = program.getOptions(Program.PROGRAM_INFO);
        boolean isPdbLoaded = options.getBoolean(PDB_LOADED, false);

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PDB_AGE`
  Option key which indicates PDB Age as specified by loaded program (String, hex value without 0x prefix).
  `static final String`
  `PDB_FILE`
  Option key which indicates PDB filename or path as specified by loaded program (String).
  `static final String`
  `PDB_GUID`
  Option key which indicates PDB GUID as specified by loaded program (String).
  `static final String`
  `PDB_LOADED`
  Option key which indicates if PDB has been loaded/applied to program (Boolean).
  `static final String`
  `PDB_SIGNATURE`
  Option key which indicates PDB Signature as specified by loaded program (String).
  `static final String`
  `PDB_VERSION`
  Option key which indicates PDB Version as specified by loaded program (String).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PdbParserConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PDB_LOADED

    public static final String PDB_LOADED
    Option key which indicates if PDB has been loaded/applied to program (Boolean).
    See Also:
      - Constant Field Values

  - ### PDB_FILE

    public static final String PDB_FILE
    Option key which indicates PDB filename or path as specified by loaded program (String).
    See Also:
      - Constant Field Values

  - ### PDB_AGE

    public static final String PDB_AGE
    Option key which indicates PDB Age as specified by loaded program (String, hex value without 0x prefix).
    See Also:
      - Constant Field Values

  - ### PDB_SIGNATURE

    public static final String PDB_SIGNATURE
    Option key which indicates PDB Signature as specified by loaded program (String).
    See Also:
      - Constant Field Values

  - ### PDB_VERSION

    public static final String PDB_VERSION
    Option key which indicates PDB Version as specified by loaded program (String).
    See Also:
      - Constant Field Values

  - ### PDB_GUID

    public static final String PDB_GUID
    Option key which indicates PDB GUID as specified by loaded program (String).
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PdbParserConstants

    public PdbParserConstants()